Subject: Re: bug#7233: 24.0.50; language-environments interact badly with LANG settings

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Dec 2020 17:38:06 +0100

Miles Bader <[email-masked]> writes:

> If you have an environment-specified language setting like LANG; for
> instance if you start Emacs by doing:
>
>    LANG=ja_JP.UTF-8  emacs
>
> but you _also_ have a customized language environment, e.g., your .emacs
> file does:
>
>    (custom-set-variables
>     '(current-language-environment "Japanese"))
>
> ... then the latter overrides the former, even when it probably
> shouldn't. 

(This bug report unfortunately got no response at the time.)

I think Emacs always (usually?) have in-Lisp settings override ones from
the environment?  I think anything else would be pretty surprising --
you should be able to call `current-language-environment' and have that
happen immediately, no matter what some environment variable said when
you started up Emacs?

So I think this works as designed, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no